#! /bin/bash
#
# Copyright 2009-2011 The VOTCA Development Team (http://www.votca.org)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

version='1.2.4 '

if [ -n "$(type -p csg_call 2> /dev/null)" ]; then
  #in case we have an old version of csg_call without --show-share
  tmp="$(csg_call --show-share 2> /dev/null)" && export CSGSHARE="$tmp"
  unset tmp
fi

#we leave --help here to have it even when
#CSGSHARE is not defined
if [[ $1 = "--help" || $1 = "-h" ]]; then
  cat << eof
==================================================
========   VOTCA (http://www.votca.org)   ========
==================================================

please submit bugs to bugs@votca.org

eof
  if [[ -f ${CSGSHARE}/scripts/inverse/inverse.sh ]]; then
    exec ${CSGSHARE}/scripts/inverse/inverse.sh --help | \
      sed -e "s/inverse\.sh/${0##*/}/g" -e "s/%version%/${version}/"
    exit 0
  fi
  cat << eof
${0##*/}, version ${version}

Start the script (inverse.sh) to run IBM, IMC, etc.

Usage: ${0##*/} [OPTIONS] --options settings.xml

Allowed options:
-h, --help     Show this help

NOTE: this is a short help, please source VOTCARC.bash or VOTCARC.csh
      or export CSGSHARE to get the full help.
eof
exit 0
fi

#we don't know if it was done above
if [[ -n "$(type -p csg_call)" ]]; then
  CSGSHARE="$(csg_call --show-share)" || exit 1
  export CSGSHARE
else
  echo "Could not find csg_call" >&2
  exit 1
fi

if [[ -f ${CSGSHARE}/scripts/inverse/inverse.sh ]]; then
   exec ${CSGSHARE}/scripts/inverse/inverse.sh $@
   exit 0
else
   echo "${0##*/}: Could not run \${CSGSHARE}/scripts/inverse/inverse.sh $@" >&2
   exit 1
fi
